summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--network/macchanger/macchanger.SlackBuild6
1 files changed, 2 insertions, 4 deletions
diff --git a/network/macchanger/macchanger.SlackBuild b/network/macchanger/macchanger.SlackBuild
index 3c2e4b02e3..a6a4bbbf15 100644
--- a/network/macchanger/macchanger.SlackBuild
+++ b/network/macchanger/macchanger.SlackBuild
@@ -52,10 +52,8 @@ CFLAGS="$SLKCFLAGS" \
make || exit 1
make install DESTDIR=$PKG || exit 1
-( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
- xargs strip --strip-unneeded 2> /dev/null
-)
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
( cd $PKG/usr/man
find . -type f -exec gzip -9 {} \;